#
# spec file for package hamclock
#
# Copyright (c) 2025 Andreas Stieger <Andreas.Stieger@gmx.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           hamclock
Version:        4.16
Release:        1.1
Summary:        Clock and map with additional information for amateur radio
License:        MIT
URL:            https://clearskyinstitute.com/ham/HamClock/
Source:         https://clearskyinstitute.com/ham/HamClock/ESPHamClock.tgz
Patch0:         hamclock-4.15-no-phone-home.patch
Patch1:         hamclock-4.15-no-libgpiod.patch
BuildRequires:  c++_compiler
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(x11)

%description
HamClock is a kiosk-style application that provides real time space weather,
radio propagation models, operating events and other information particularly
useful to the radio amateur.

%prep
%autosetup -p1 -n ESPHamClock

%build
%make_build hamclock-800x480

%install
## %%make_build install is broken
mkdir -p %{buildroot}%{_bindir}
install -D -m 755 hamclock-800x480 %{buildroot}%{_bindir}

%files
%license LICENSE
%{_bindir}/*

%changelog
* Sun Apr 20 2025 Andreas Stieger <andreas.stieger@gmx.de>
- update to 4.16:
  * new: add DXPeditions data pane
  * new: add automatic upgrade option
  * new: add get_dxpeds RESTful command
  * new: add RTTY VOACAP mode
  * change: current satellite az and el are now shown above pass
  * change: RESTful set_bmp can now display any image in the map area
  * change: add support for more UDP XML packet formats
  * change: UDP spots may be filtered to only those made by own call
  * fix: more download speed improvements
  * fix: DX Cluster rounding could move spot time into the future
  * fix: DX Cluster spot was updated only if it moved to a different band
  * fix: SpcWx rankings were not initialized if not using Auto
* Thu Mar  6 2025 Andreas Stieger <andreas.stieger@gmx.de>
- initial, minimal package
